import { SwiftUICommon, NativeScriptWindowCommon, CustomViewLifeCycle } from './common';
export * from './common';
export * from './components';
export declare function registerSwiftUI(): void;
export declare class SwiftUI extends SwiftUICommon {
}
export declare class SwiftUIManager {
    static registerNativeScriptViews(views: {
        [key: string]: any;
    }, viewLifeCycle?: CustomViewLifeCycle): void;
}
export declare class UIDataDriver {
}
export declare class WindowManager {
    static currentWindows: {
        [key: string]: NativeScriptWindow;
    };
    static getWindow(id: string, isImmersive?: boolean): NativeScriptWindow;
    static supportsMultipleScenes(): boolean;
}
export declare class NativeScriptWindow implements NativeScriptWindowCommon {
    id: string;
    isImmersive?: boolean;
    constructor(id: string, isImmersive?: boolean);
    open(props?: any): Promise<void>;
    close(): Promise<void>;
    update(props?: any): Promise<void>;
}
export declare class XR {
    static currentSessionId: string;
    static requestSession(sessionId: string, props?: any): Promise<void>;
    static endSession(): Promise<void>;
}
