import { LayoutBase, View, ViewBase } from '@nativescript/core';
export declare const UNSPECIFIED: number;
export declare class ViewLayoutWrapper extends UIView {
    owner: WeakRef<View>;
    static initWithOwner(owner: WeakRef<View>): ViewLayoutWrapper;
    get intrinsicContentSize(): CGSize;
    sizeThatFits(size: CGSize): CGSize;
}
export declare class AutoLayoutController extends UIViewController {
    owner: WeakRef<View>;
    static initWithOwner(owner: WeakRef<View>): AutoLayoutController;
    loadView(): void;
    viewDidLoad(): void;
    viewDidLayoutSubviews(): void;
    viewWillAppear(animated: boolean): void;
    viewDidDisappear(animated: boolean): void;
    traitCollectionDidChange(previousTraitCollection: UITraitCollection): void;
}
/**
 * This view is a proxy wrapper for any other view.
 * It can be used in the future for wrapping more complex views, if needed
 */
export declare class AutoLayoutView extends LayoutBase {
    viewController: AutoLayoutController;
    _addViewToNativeVisualTree(view: ViewBase, atIndex?: number): boolean;
    _removeViewFromNativeVisualTree(view: ViewBase): void;
    createNativeView(): UIView;
    layoutNativeView(): void;
    _setNativeViewFrame(): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
}
